package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterqualityCityHandle;
import com.lightinit.hsdatashow.entity.WaterqualityCityHandleExample;

import java.math.BigDecimal;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface WaterqualityCityHandleMapper {
    long countByExample(WaterqualityCityHandleExample example);

    int deleteByExample(WaterqualityCityHandleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterqualityCityHandle record);

    int insertSelective(WaterqualityCityHandle record);

    List<WaterqualityCityHandle> selectByExample(WaterqualityCityHandleExample example);

    WaterqualityCityHandle selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterqualityCityHandle record, @Param("example") WaterqualityCityHandleExample example);

    int updateByExample(@Param("record") WaterqualityCityHandle record, @Param("example") WaterqualityCityHandleExample example);

    int updateByPrimaryKeySelective(WaterqualityCityHandle record);

    int updateByPrimaryKey(WaterqualityCityHandle record);

    BigDecimal getWaterqualityCityHandle();
}